CC =	 cc
CPP =	 cc -E
CFLAGS =  -O
BIN_PROG =	nn nnmail nntidy nngrep nnquery nnusage nngoback
BIN_LINK =	nncheck nnadmin
LIB_PROG =	aux date_regexp log_entry back_act
MASTER_PROG =	nnmaster
SHELL = /bin/sh
MASTER = master.o collect.o expire.o update.o \
	global.o options.o active.o db.o nntp.o \
	pack_date.o pack_name.o pack_subject.o news.o digest.o match.o 
NN = 	nn.o admin.o update.o \
	global.o options.o active.o db.o nntp.o \
	init.o variable.o term.o keymap.o macro.o regexp.o \
	menu.o more.o rc.o group.o folder.o \
	articles.o sequence.o selection.o kill.o \
	answer.o reroute.o save.o unshar.o decode.o execute.o \
	pack_date.o pack_name.o pack_subject.o news.o digest.o match.o 
MAIL = nnmail.o reroute.o global.o options.o update.o
all:	$(BIN_PROG) $(LIB_PROG) $(MASTER_PROG)
client: update.o $(BIN_PROG) $(LIB_PROG)
nn:	$(NN) 
	$(CC) $(CFLAGS) $(NN) -lcurses  -o nn
nnmaster: $(MASTER)
	$(CC) $(CFLAGS) $(MASTER)  -o nnmaster
nnmail:	$(MAIL)
	$(CC) $(CFLAGS) $(MAIL)  -o nnmail
nntidy:	nntidy.sh prefix
	cat prefix nntidy.sh > nntidy
	chmod +x nntidy
nngrep:	nngrep.sh prefix
	cat prefix nngrep.sh > nngrep
	chmod +x nngrep
nngoback: nngoback.sh prefix
	cat prefix nngoback.sh > nngoback
	chmod +x nngoback
nnquery: nnquery.sh prefix
	cat prefix nnquery.sh > nnquery
	chmod +x nnquery
nnusage: nnusage.sh prefix
	cat prefix nnusage.sh > nnusage
	chmod +x nnusage
date_regexp: date_regexp.o
	$(CC) $(CFLAGS) date_regexp.o  -o date_regexp
log_entry: log_entry.o global.o update.o
	$(CC) $(CFLAGS) log_entry.o global.o update.o  -o log_entry
aux:	 aux.sh prefix
	cat prefix aux.sh > aux
	chmod +x aux
back_act: back_act.sh prefix
	cat prefix back_act.sh > back_act
	chmod +x back_act
clean:
	rm -f $(BIN_PROG) $(LIB_PROG) $(MASTER_PROG) cvt-help
update.o:	update.h update.c patchlevel.h
	-$(CC) -c $(CFLAGS) update.c
install: prefix install.bin install.lib install.master install.man
	@sh install_aux incr "usenet" "news" "/usr/llib/nn" "Log" 666 \
		"Installation" "/usr/spool/nn"
install.client: prefix install.bin install.lib install.man
	@sh install_aux incr "usenet" "news" "/usr/llib/nn" "Log" 666 \
		"Client Installation"
install.bin: $(BIN_PROG)
	@sh install_aux bin "usenet" "news" "/usr/lbin" "$(BIN_PROG)" 755 \
		"$(BIN_LINK)"
install.lib: $(LIB_PROG) cvt-help
	@sh install_aux aux  "usenet" "news" "/usr/llib/nn" "$(LIB_PROG)" 755
	@sh install_aux help "usenet" "news" "/usr/llib/nn" "help.*" 644
install.master: $(MASTER_PROG)
	@sh install_aux master "usenet" "news" "/usr/llib/nn" "$(MASTER_PROG)" 6755
install.man: 
	@sh install_aux 1  "usenet" "news" "/usr/catman/man/man1" "1" 644
	@sh install_aux 1m "usenet" "news" "/usr/catman/man/man1"  "1m"  644
online.manual:
	@sh install_aux online "usenet" "news" "/usr/llib/nn" "n*.1 n*.1m" 444
initdb:
	@sh install_aux db "usenet" "news" "/usr/spool/nn" ". DATA" 755
	@sh install_aux init . . "/usr/llib/nn" "$(MASTER_PROG)" . "-I"
prefix:	prefix.sh config.h update.h patchlevel.h ymakefile
	cp prefix.sh prefix.c
	$(CPP) prefix.c | \
	sed -e '1,/CUT PREFIX HERE/d' \
	    -e '/prefix.c/d' \
	    -e '/^[ 	]*$$/d' \
	    -e 's/^&/#/' \
	    -e 's/[ 	]*=[ 	]*/=/' > prefix
	rm -f prefix.c
cvt-help:	cvt-help.c
	$(CC) -o cvt-help cvt-help.c
active.o:	active.c config.h global.h vararg.h data.h
admin.o:	admin.c config.h global.h vararg.h data.h db.h term.h
answer.o:	answer.c config.h global.h vararg.h data.h news.h term.h \
		keymap.h
articles.o:	articles.c config.h global.h vararg.h data.h db.h articles.h \
		match.h
collect.o:	collect.c config.h global.h vararg.h data.h db.h news.h
cvt-help.o:	cvt-help.c
date_regexp.o:	date_regexp.c config.h global.h vararg.h data.h
db.o:		db.c config.h global.h vararg.h data.h db.h
decode.o:	decode.c config.h global.h vararg.h data.h
digest.o:	digest.c config.h global.h vararg.h data.h news.h match.h  \
		debug.h
execute.o:	execute.c config.h global.h vararg.h data.h term.h
expire.o:	expire.c config.h global.h vararg.h data.h db.h
folder.o:	folder.c config.h global.h vararg.h data.h articles.h news.h \
		term.h menu.h
global.o:	global.c config.h global.h vararg.h data.h
group.o:	group.c config.h global.h vararg.h data.h articles.h db.h \
		term.h menu.h keymap.h regexp.h
init.o:		init.c config.h global.h vararg.h data.h articles.h term.h \
		keymap.h menu.h
keymap.o:	keymap.c config.h global.h vararg.h data.h keymap.h term.h
kill.o:		kill.c config.h global.h vararg.h data.h term.h regexp.h
log_entry.o:	log_entry.c
macro.o:	macro.c config.h global.h vararg.h data.h keymap.h term.h
master.o:	master.c config.h global.h vararg.h data.h db.h options.h
match.o:	match.c
menu.o:		menu.c config.h global.h vararg.h data.h articles.h term.h \
		keymap.h menu.h regexp.h
more.o:		more.c config.h global.h vararg.h data.h news.h term.h \
		menu.h keymap.h regexp.h
news.o:		news.c config.h global.h vararg.h data.h news.h
nn.o:		nn.c config.h global.h vararg.h data.h menu.h term.h \
		keymap.h options.h
nnmail.o:	nnmail.c config.h global.h vararg.h data.h options.h
nntp.o:		nntp.c config.h global.h vararg.h data.h nntp.h
options.o:	options.c config.h global.h vararg.h data.h options.h
pack_date.o:	pack_date.c config.h global.h vararg.h data.h
pack_name.o:	pack_name.c config.h global.h vararg.h data.h
pack_subject.o:	pack_subject.c config.h global.h vararg.h data.h
rc.o:		rc.c config.h global.h vararg.h data.h term.h debug.h
regexp.o:	regexp.c config.h global.h vararg.h data.h regexp.h
reroute.o:	reroute.c config.h global.h vararg.h data.h
save.o:		save.c config.h global.h vararg.h data.h term.h keymap.h \
		news.h
selection.o:	selection.c config.h global.h vararg.h data.h term.h\
		 articles.h
sequence.o:	sequence.c config.h global.h vararg.h data.h debug.h
term.o:		term.c config.h global.h vararg.h data.h term.h keymap.h
unshar.o:	unshar.c config.h global.h vararg.h data.h
update.o:	update.c patchlevel.h update.h
variable.o:	variable.c config.h global.h vararg.h data.h
nn1:	$(NN) 
	$(CC) $(CFLAGS) $(NN) -lcurses  -Mnn1 -o nn1
